package com.ss.android.auto.launch.helper

import com.bytedance.framwork.core.monitor.MonitorUtils
import com.bytedance.ug.sdk.deeplink.IDeepLinkDepend
import com.bytedance.ug.sdk.share.impl.utils.ALog
import com.ss.android.auto.scheme.AutoSchemeUtils
import com.ss.android.basicapi.application.AutoMainProcessInsApp
import com.ss.android.common.app.AbsApplication
import com.ss.android.common.lib.AppLogNewUtils
import com.ss.android.deviceregister.DeviceRegisterManager
import org.json.JSONObject

class DeepLinkDepend : IDeepLinkDepend {

    override fun getAppId(): String {
        return AutoMainProcessInsApp.SDK_APP_ID
    }

    override fun logD(tag: String?, msg: String?) {
        ALog.d(tag, msg)
    }

    override fun logE(tag: String?, msg: String?, tr: Throwable?) {
        ALog.e(tag, msg)
    }
    override fun processCustomParameter(zlinkData: JSONObject?): Boolean {
       return false
    }

    override fun getAppVersion(): String {
        return AutoMainProcessInsApp.getSAppContext().version
    }

    override fun dealWithClipboard(isCheckedClipboard: Boolean, scheme: String?): Boolean {
        if (scheme.isNullOrBlank()) {
            return false;
        }
        AutoSchemeUtils.startAdsAppActivity(AutoMainProcessInsApp.getSAppContext().context, scheme)
        return true
    }

    override fun getUpdateVersionCode(): String {
        return AbsApplication.sUpdateVersionCode.toString()
    }

    override fun getDeviceId(): String {
        return DeviceRegisterManager.getDeviceId()
    }

    override fun monitorStatusAndDuration(serviceName: String?, status: Int, duration: JSONObject?, logExtra: JSONObject?) {
        MonitorUtils.monitorStatusAndDuration(serviceName, status, duration, logExtra)
    }

    override fun getMonitorConfigUrl(): MutableList<String> {
        return mutableListOf(
                "https://mon.snssdk.com/monitor/appmonitor/v2/settings",
                "https://monsetting.toutiao.com/monitor/appmonitor/v2/settings"
        )
    }

    override fun getMonitorReportUrl(): MutableList<String> {
        return mutableListOf(
                "https://mon.snssdk.com/monitor/collect/",
                "https://mon.toutiao.com/monitor/collect/",
                "https://mon.toutiaocloud.com/monitor/collect/",
                "https://mon.toutiaocloud.net/monitor/collect/"
        )
    }

    override fun onEvent(eventName: String?, jsonObject: JSONObject?) {
        AppLogNewUtils.onEventV3(eventName, jsonObject);
    }

    override fun getSchemeList(): MutableList<String> {
        return mutableListOf("sslocal", "snssdk36")
    }

    override fun delayMillis(): Long {
       return 500L
    }
}