package com.ss.android.auto.launch.tasks.diskclean

import android.content.Context
import com.ss.android.auto.diskclean.strategy.DiskCleanStrategy
import com.ss.android.auto.diskclean.strategy.ExpireDiskCleanStrategy
import com.ss.android.auto.diskclean.strategy.SuffixDelDiskCleanStrategy
import com.ss.android.auto.diskclean.task.AbsDiskCleanTask
import com.ss.ttvideoengine.TTVideoEngine
import java.io.File

class VideoPreloadImmediateDiskCleanTask : AbsDiskCleanTask() {

    override fun desc(): String? {
        return "为了提升首帧，预加载小视频，启动删除"
    }

    override fun cacheDestDir(context: Context?): File? {
        context?.apply {
            val ttPreloaderCacheDir = File(context.externalCacheDir, "ttpreloader")
            return ttPreloaderCacheDir
        }
        return null
    }

    override fun cleanStrategies(): List<DiskCleanStrategy>? {
        return listOf(ExpireDiskCleanStrategy(1000 * 60 * 60 * 24 * 3), SuffixDelDiskCleanStrategy(listOf(".mdl",".mdlnodeconf")));
    }

    override fun execute(context: Context?) {
        TTVideoEngine.clearAllCaches()
    }


}