package com.ss.android.auto.launch.tasks.diskclean

import android.content.Context
import com.ss.android.auto.diskclean.strategy.DiskCleanStrategy
import com.ss.android.auto.diskclean.strategy.ExpireDiskCleanStrategy
import com.ss.android.auto.diskclean.strategy.SuffixSafeDiskCleanStrategy
import com.ss.android.auto.diskclean.task.AbsDiskCleanTask
import com.ss.android.utils.FileUtils
import java.io.File

/**
 * @author zhuangyouxin on 2020/8/6
 *
 */
class VideoPublishPluginDiskCleanTask : AbsDiskCleanTask() {

    override fun desc(): String? = "小视频插件缓存清理"

    override fun cacheDestDir(context: Context?): File? = FileUtils.getVideoPublishPluginCacheDirIfExists()

    override fun needPermission(): Boolean {
        return true
    }

    override fun cleanStrategies(): List<DiskCleanStrategy>? = listOf(ExpireDiskCleanStrategy(1000 * 60 * 60 * 24 * 7),
            SuffixSafeDiskCleanStrategy(mutableListOf("tmp", "cache", "resource", ".nomedia", ".mp3")))
}