package com.ss.android.auto.opt

import android.app.Application
import android.util.Log
import com.ss.android.auto.ab.OptimizeABManager
import com.ss.android.auto.config.settings.SearchSettingsIndex
import com.ss.android.common.app.AbsApplication

class ViewOpt {
    companion object {
        @JvmStatic
        var sOpen: Boolean = true

        var sOpenLog: Boolean = false

        private val TAG = "ViewOpt"

        @JvmStatic
        fun log(msg: String, startTime: Long) {
            if (!sOpenLog) {
                return
            }

            if (startTime > 0) {
                val duration = System.currentTimeMillis() - startTime
                if (duration > 10) {
                    Log.e(TAG, "$msg , cost = $duration")
                } else {
                    Log.d(TAG, "$msg , cost = $duration")
                }
            } else {
                Log.d(TAG, "$msg")

            }
        }

        fun init(application: Application) {

            if (!OptimizeABManager.instance.isOptNeedOpen(SearchSettingsIndex.ins(AbsApplication.getApplication()).mEnableViewOpt)) {
                return
            }

            val enableViewOpt = SearchSettingsIndex.ins(application).mEnableViewOpt.value
            sOpen  = enableViewOpt

            if (!sOpen) {
                return
            }

            ViewCreateOpt.init()
            ViewInflateOpt.preInflate(application)

        }
    }
}